// script by Dingsel//

import { system, world } from "@minecraft/server";

class loreItem {
    constructor(itemId, lore) {
        this.itemId = itemId;
        this.lore = lore;
    }
}

const ItemArray = [
    new loreItem("bridge:death_wand", ["§b Right click to use first ability\nand shift and right click to use secondary abilities"]),
    new loreItem("bridge:ability_book_1_area_kill_monster", ["§b Right click this item to add this ability"]),
    new loreItem("bridge:abilitybook_2_kill_animals", ["§b Right click this item to add this ability"]),
    new loreItem("bridge:ability_book_3_shadow_minion", ["§b Right click this item to add this ability"]),
    new loreItem("bridge:abilitybook_4_passive_abilities", ["§b Right click this item to add this ability"]),
    new loreItem("bridge:remove_ability_book", ["§b Shift and Right Click To Remove Individual Abilities\n Unshift And Click To Remove The Selected Ability\n Right Click To Remove All Currently Equipped Abilities "]),
    new loreItem("bridge:disguise_pearl_inacive", ["§b Right Click to hide yourself from monsters\n Right Click again to Deactivate\n§4Locks Pearl In Player Inventory When Active\nDeactiveate To Unlock"]),
    new loreItem("bridge:ability_book_locked",["§bRight Click To Unlock A Random Ability\n§4Requires Neutral Soul To Unlock"]),
    new loreItem("bridge:ability_book_5_disguise",["§bRight Click To Transform Into Disguise Pearl"])

];

system.runInterval(() => {
    for (const player of world.getPlayers()) {
        const playerContainer = player.getComponent("inventory").container
        for (let i = 0; i < playerContainer.size; i++) {
            const item = playerContainer.getItem(i);
            const findLore = ItemArray.find(x => x.itemId == item?.typeId);
            const lore = item?.getLore();
            if (!findLore || !item || lore?.length != 0) continue
            item.setLore(findLore.lore);
            playerContainer.setItem(i, item);
        }
    }
});
